- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Collocated_Invocation Class Reference

Class for Collocated invocations. More...

`#include <Collocated_Invocation.h>`

Inheritance diagram for TAO::Collocated_Invocation:

[legend]
Collaboration diagram for TAO::Collocated_Invocation:

[legend]
List of all members.

## Public Member Functions
| Collocated_Invocation (CORBA::Object_ptr t, CORBA::Object_ptr et, TAO_Stub *stub, TAO_Operation_Details &detail, bool response_expected=true)
| Constructor used by TAO::Invocation_Adapter.
Invocation_Status | invoke (Collocation_Proxy_Broker *cpb, Collocation_Strategy strat)
## Private Member Functions
| Collocated_Invocation (void)

## Detailed Description

Class for Collocated invocations.

Note:
  Reliable oneways are not handled properly including use of interceptors. This class should technically serve as the base for all invocation types. But now, this is the only class that handles collocated invocations and that too in a brain dead way.

## Constructor & Destructor Documentation

TAO::Collocated_Invocation::Collocated_Invocation | ( | CORBA::Object_ptr | t,
|  | CORBA::Object_ptr | et,
|  | TAO_Stub * | stub,
|  | TAO_Operation_Details & | detail,
|  | bool | response_expected = `true` |
| ) |  |  |

Constructor used by TAO::Invocation_Adapter.

Parameters:

  | t | The target on which invocation first started.
  | et | The effective target in which this invocation is now flowing
  | stub | Stub for effective target et
  | detail | operation details of the invocation including the service context list
  | response_expected | flag to indicate whether the operation encapsulated by detail returns a response or not.

TAO::Collocated_Invocation::Collocated_Invocation | ( | void |  | ) | `[private]`

## Member Function Documentation

Invocation_Status TAO::Collocated_Invocation::invoke | ( | Collocation_Proxy_Broker * | cpb,
|  | Collocation_Strategy | strat |
| ) |  |  |

Practically this method is a place holder to do the following

- Call the start and end interception points on the client side.

- Handle location forwards that could be thrown by the servant.

The documentation for this class was generated from the following files:

- Collocated_Invocation.h
- Collocated_Invocation.cpp